Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSLDAPConfiguration Class Reference

Configuration information for LDAP. More...

`#import <CSLDAPConfiguration.h>`

Inherits NSObject.

## Properties
BOOL | enabled
| A Boolean value indicating whether the LDAP provider is enabled. More...
CSServerInfo * | server
| The signaling server to connect with. More...
id< CSCredentialProvider > | credentialProvider
| The credential provider. More...
NSString * | baseDistinguishedName
| The base of the distinguished name in a LDAP DIT (Directory Information Tree) More...
BOOL | IMDomainSubstitutionRequired
| YES if IM (Instant Messaging) domain substitution is required. More...
NSString * | IMHandleAttribute
| The LDAP attribute that contains the IM handle for the user. More...
BOOL | GSSBind
| When GSS (Generic Security Service) bind is enabled, the Windows credentials are used for LDAP connection. More...
CSLDAPDirectoryType | directoryType
| Define supported directory type. More...
CSLDAPScopeType | scopeType
| Define the scope of the LDAP search. More...
NSUInteger | searchTimeoutInSeconds
| The search time out (in seconds) Range between 10 to 200 seconds. More...
NSUInteger | maxEntries
| The maximum number of matching entries to display Range between 10 to 100 entries. More...
BOOL | contactResolutionEnabled
| A Boolean value indicating whether the LDAP provider is used for contact resolution. More...

## Detailed Description

Configuration information for LDAP.

## Property Documentation

- (NSString*) baseDistinguishedName
| read write nonatomic copy

The base of the distinguished name in a LDAP DIT (Directory Information Tree)

- (BOOL) contactResolutionEnabled
| read write nonatomic assign

A Boolean value indicating whether the LDAP provider is used for contact resolution.

Default is true.

- (id<CSCredentialProvider>) credentialProvider
| read write nonatomic weak

The credential provider.

- (CSLDAPDirectoryType) directoryType
| read write nonatomic assign

Define supported directory type.

- (BOOL) enabled
| read write nonatomic assign

A Boolean value indicating whether the LDAP provider is enabled.

- (BOOL) GSSBind
| read write nonatomic assign

When GSS (Generic Security Service) bind is enabled, the Windows credentials are used for LDAP connection.

- (BOOL) IMDomainSubstitutionRequired
| read write nonatomic assign

YES if IM (Instant Messaging) domain substitution is required.

- (NSString*) IMHandleAttribute
| read write nonatomic copy

The LDAP attribute that contains the IM handle for the user.

- (NSUInteger) maxEntries
| read write nonatomic assign

The maximum number of matching entries to display Range between 10 to 100 entries.

Default is 50

- (CSLDAPScopeType) scopeType
| read write nonatomic assign

Define the scope of the LDAP search.

- (NSUInteger) searchTimeoutInSeconds
| read write nonatomic assign

The search time out (in seconds) Range between 10 to 200 seconds.

Default is 100

- (CSServerInfo*) server
| read write nonatomic strong

The signaling server to connect with.

The documentation for this class was generated from the following file:

- CSLDAPConfiguration.h